<div id="{{ idPrefix }}list" class="mdc-data-table{% if show is defined and show == false %} d-none{% endif %}" data-pagination="{{ pagination }}" data-mass-operation="{{ massOperation }}">
    <div class="mdc-data-table__table-container">
        <table class="mdc-data-table__table">
            <thead>
            <tr class="mdc-data-table__header-row">
                {% if massOperation == true %}
                    <th class="mdc-data-table__header-cell mdc-data-table__header-cell--checkbox" role="columnheader" scope="col">
                        <div class="mdc-checkbox mdc-data-table__header-row-checkbox mdc-checkbox--selected">
                            <input type="checkbox" class="mdc-checkbox__native-control" aria-label="Toggle all rows"/>
                            <div class="mdc-checkbox__background">
                                <svg class="mdc-checkbox__checkmark" viewBox="0 0 24 24">
                                    <path class="mdc-checkbox__checkmark-path" fill="none" d="M1.73,12.91 8.1,19.28 22.79,4.59" />
                                </svg>
                                <div class="mdc-checkbox__mixedmark"></div>
                            </div>
                            <div class="mdc-checkbox__ripple"></div>
                        </div>
                    </th>
                {% endif %}
                {% block tableHeader %}
                {% endblock %}
            </tr>
            </thead>
            <tbody class="mdc-data-table__content">
            {% if listItems is not empty and listItems|length > 0 %}
                {% for listItem in listItems %}
                    <tr class="mdc-data-table__row" data-row-id="{{ listItem.getId() }}">
                        {% if massOperation == true %}
                            <td class="mdc-data-table__cell mdc-data-table__cell--checkbox">
                                <div class="mdc-checkbox mdc-data-table__row-checkbox">
                                    <input type="checkbox" class="mdc-checkbox__native-control"/>
                                    <div class="mdc-checkbox__background">
                                        <svg class="mdc-checkbox__checkmark" viewBox="0 0 24 24">
                                            <path class="mdc-checkbox__checkmark-path" fill="none" d="M1.73,12.91 8.1,19.28 22.79,4.59" />
                                        </svg>
                                        <div class="mdc-checkbox__mixedmark"></div>
                                    </div>
                                    <div class="mdc-checkbox__ripple"></div>
                                </div>
                            </td>
                        {% endif %}
                        {% block tableContent %}
                        {% endblock %}
                    </tr>
                {% endfor %}
            {% endif %}
            </tbody>
        </table>
    </div>
    {% if listItems is empty or listItems|length == 0 %}
        <div class="p-3 text-center">
            {% if noEntriesText is defined and noEntriesText is not empty %}
                {{ noEntriesText }}
            {% else %}
                Aktuell sind keine Einträge vorhanden
            {% endif %}
        </div>
    {% endif %}
    {% if massOperation == true %}
        <div id="{{ idPrefix }}row_selection_action_container" class="p-3">
            <div class="row">
                <div class="col-xs-12 col-sm-6 mb-3">
                    {% include 'component/mdc_select_component.html.twig' with {
                        'id': idPrefix ~ 'row_selection_action_mdc_select',
                        'name': idPrefix ~ 'row_selection_action_mdc_select',
                        'label':  'Aktion wählen',
                        'labelId': idPrefix ~ 'row_selection_action',
                        'value': null,
                        'choiceViews': actionChoices,
                        'required': false,
                        'disabled': false
                    } only %}
                </div>
                <div class="col-xs-12 col-sm-6">
                    <button id="{{ idPrefix }}row_selection_action_submit_button" class="mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center">
                        <span class="mdc-button__ripple"></span>
                        <span class="mdc-button__label">Aktion durchführen</span>
                    </button>
                </div>
            </div>
            <form id="{{ idPrefix }}row_selection_action_form" method="post">
                <input id="{{ idPrefix }}row_selection_selected_row_ids_input" type="hidden" name="selectedRowIds">
            </form>
        </div>
    {% endif %}
    {% if pagination == true %}
        {% include 'component/mdc_data_table_pagination_component.html.twig' with {
            'id':  idPrefix  ~ 'pagination',
            'numberOfItems': listItems|length,
            'itemNamePlural': 'Ergebnisse',
            'selectableValues': [10, 25, 50]
        } only %}
    {% endif %}
</div>
